Bug 537506 - rgmanager initscript FedoraGuidelines compliance
Summary: rgmanager initscript FedoraGuidelines compliance
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rgmanager
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 612110
TreeView+ depends on / blocked
 
Reported: 2009-11-13 21:49 UTC by Nate Straz
Modified: 2010-07-07 10:38 UTC (History)
3 users (show)

Fixed In Version: rgmanager-3.0.6-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 612110 (view as bug list)
Environment:
Last Closed: 2009-11-24 06:52:55 UTC
Type: ---


Attachments (Terms of Use)

Description Nate Straz 2009-11-13 21:49:26 UTC
Description of problem:

This is a list of issues for the rgmanager init script when compared with the
criteria in 
https://fedoraproject.org/wiki/Packaging/SysVInitScript


Version-Release number of selected component (if applicable):
rgmanager-3.0.4-1.fc12.i686

* try-restart command is not implemented (should be same as condrestart)

* condrestart implementation is the same as restart

* wrong exit status on usage and with invalid argument.  Got 1, expected 2.

[root@morph-04 tmp]$ service rgmanager
usage: /etc/init.d/rgmanager {start|restart|condrestart|reload|status|stop}
[root@morph-04 tmp]$ echo $?
1
[root@morph-04 tmp]$ service rgmanager badarg
usage: /etc/init.d/rgmanager {start|restart|condrestart|reload|status|stop}
[root@morph-04 tmp]$ echo $?
1

Comment 1 Bug Zapper 2009-11-16 15:31:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fabio Massimo Di Nitto 2009-11-24 06:52:55 UTC
Fixed with commit df7a30d84a4f8b9b645bdef52731491e60e590b8 in STABLE3


Note You need to log in before you can comment on or make changes to this bug.